<?php

/**
 * Header Options
 *
 * @package auto_mechanic
 */

// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------


// ---------------------------------------- PRELOADER ----------------------------------------------------

$wp_customize->add_section(
	'auto_mechanic_general_options',
	array(
		'panel' => 'auto_mechanic_theme_options',
		'title' => esc_html__( 'General Options', 'auto-mechanic' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'auto_mechanic_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Auto_Mechanic_Separator_Custom_Control( $wp_customize, 'auto_mechanic_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'auto-mechanic' ),
	'section' => 'auto_mechanic_general_options',
	'settings' => 'auto_mechanic_preloader_separator',
) ) );

// General Options - Enable Preloader.
$wp_customize->add_setting(
	'auto_mechanic_enable_preloader',
	array(
		'sanitize_callback' => 'auto_mechanic_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control(
		$wp_customize,
		'auto_mechanic_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'auto-mechanic' ),
			'section' => 'auto_mechanic_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
    'auto_mechanic_preloader_style',
    array(
        'default'           => 'style1',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'auto_mechanic_preloader_style',
    array(
        'type'     => 'select',
        'label'    => esc_html__('Select Preloader Styles', 'auto-mechanic'),
		'active_callback' => 'auto_mechanic_is_preloader_style',
        'section'  => 'auto_mechanic_general_options',
        'choices'  => array(
            'style1' => esc_html__('Style 1', 'auto-mechanic'),
            'style2' => esc_html__('Style 2', 'auto-mechanic'),
            'style3' => esc_html__('Style 3', 'auto-mechanic'),
        ),
    )
);

// Preloader Background Color Setting
$wp_customize->add_setting(
	'auto_mechanic_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'auto_mechanic_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'auto-mechanic'),
			'active_callback' => 'auto_mechanic_is_preloader_style',
			'section' => 'auto_mechanic_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'auto_mechanic_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'auto_mechanic_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'auto-mechanic'),
			'active_callback' => 'auto_mechanic_is_preloader_style',
			'section' => 'auto_mechanic_general_options',
		)
	)
);

// ---------------------------------------- PAGINATION ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'auto_mechanic_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Auto_Mechanic_Separator_Custom_Control( $wp_customize, 'auto_mechanic_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'auto-mechanic' ),
	'section' => 'auto_mechanic_general_options',
	'settings' => 'auto_mechanic_pagination_separator',
) ) );


// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'auto_mechanic_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'auto_mechanic_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control(
		$wp_customize,
		'auto_mechanic_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'auto-mechanic' ),
			'section'  => 'auto_mechanic_general_options',
			'settings' => 'auto_mechanic_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'auto_mechanic_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'auto_mechanic_sanitize_select',
	)
);

$wp_customize->add_control(
	'auto_mechanic_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'auto-mechanic' ),
		'section'         => 'auto_mechanic_general_options',
		'settings'        => 'auto_mechanic_pagination_type',
		'active_callback' => 'auto_mechanic_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'auto-mechanic' ),
			'numeric' => __( 'Numeric', 'auto-mechanic' ),
		),
	)
);



// ---------------------------------------- BREADCRUMB ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'auto_mechanic_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Auto_Mechanic_Separator_Custom_Control( $wp_customize, 'auto_mechanic_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'auto-mechanic' ),
	'section' => 'auto_mechanic_general_options',
	'settings' => 'auto_mechanic_breadcrumb_separators',
)));


// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'auto_mechanic_enable_breadcrumb',
	array(
		'sanitize_callback' => 'auto_mechanic_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control(
		$wp_customize,
		'auto_mechanic_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'auto-mechanic' ),
			'section' => 'auto_mechanic_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'auto_mechanic_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'auto_mechanic_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'auto-mechanic' ),
		'active_callback' => 'auto_mechanic_is_breadcrumb_enabled',
		'section'         => 'auto_mechanic_general_options',
	)
);




// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'auto_mechanic_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Auto_Mechanic_Separator_Custom_Control( $wp_customize, 'auto_mechanic_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'auto-mechanic' ),
	'section' => 'auto_mechanic_general_options',
	'settings' => 'auto_mechanic_layuout_separator',
)));


$wp_customize->add_setting(
	'auto_mechanic_website_layout',
	array(
		'sanitize_callback' => 'auto_mechanic_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control(
		$wp_customize,
		'auto_mechanic_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'auto-mechanic'),
			'section' => 'auto_mechanic_general_options',
		)
	)
);


$wp_customize->add_setting('auto_mechanic_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'auto_mechanic_sanitize_range_value',
));

$wp_customize->add_control(new Auto_Mechanic_Customize_Range_Control($wp_customize, 'auto_mechanic_layout_width_margin', array(
		'label'       => __('Set Width', 'auto-mechanic'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'auto-mechanic'),
		'section'     => 'auto_mechanic_general_options',
		'settings'    => 'auto_mechanic_layout_width_margin',
		'active_callback' => 'auto_mechanic_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));





// ---------------------------------------- HEADER OPTIONS ----------------------------------------------------	

$wp_customize->add_section(
	'auto_mechanic_header_options',
	array(
		'panel' => 'auto_mechanic_theme_options',
		'title' => esc_html__( 'Header Options', 'auto-mechanic' ),
	)
);


// Add setting for sticky header
$wp_customize->add_setting(
	'auto_mechanic_enable_sticky_header',
	array(
		'sanitize_callback' => 'auto_mechanic_sanitize_switch',
		'default'           => false,
	)
);

// Add control for sticky header setting
$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control(
		$wp_customize,
		'auto_mechanic_enable_sticky_header',
		array(
			'label'   => esc_html__( 'Enable Sticky Header', 'auto-mechanic' ),
			'section' => 'auto_mechanic_header_options',
		)
	)
);


// Header Options - Enable Topbar.
$wp_customize->add_setting(
	'auto_mechanic_enable_topbar',
	array(
		'sanitize_callback' => 'auto_mechanic_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control(
		$wp_customize,
		'auto_mechanic_enable_topbar',
		array(
			'label'   => esc_html__( 'Enable Topbar', 'auto-mechanic' ),
			'section' => 'auto_mechanic_header_options',
		)
	)
);

// Header Options - Welcome Text.
$wp_customize->add_setting(
	'auto_mechanic_welcome_topbar_text',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'auto_mechanic_welcome_topbar_text',
	array(
		'label'           => esc_html__( 'Topbar Text', 'auto-mechanic' ),
		'section'         => 'auto_mechanic_header_options',
		'type'            => 'text',
		'active_callback' => 'auto_mechanic_is_topbar_enabled',
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'auto_mechanic_menu_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Auto_Mechanic_Separator_Custom_Control( $wp_customize, 'auto_mechanic_menu_separator', array(
	'label' => __( 'Menu Settings', 'auto-mechanic' ),
	'section' => 'auto_mechanic_header_options',
	'settings' => 'auto_mechanic_menu_separator',
)));

$wp_customize->add_setting( 'auto_mechanic_menu_font_size', array(
    'default'           => 16,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'auto_mechanic_menu_font_size', array(
    'type'        => 'number',
    'section'     => 'auto_mechanic_header_options',
    'label'       => __( 'Menu Font Size ', 'auto-mechanic' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));

$wp_customize->add_setting( 'auto_mechanic_menu_text_transform', array(
    'default'           => 'uppercase', // Default value for text transform
    'sanitize_callback' => 'sanitize_text_field',
) );

// Add control for menu text transform
$wp_customize->add_control( 'auto_mechanic_menu_text_transform', array(
    'type'     => 'select',
    'section'  => 'auto_mechanic_header_options', // Adjust the section as needed
    'label'    => __( 'Menu Text Transform', 'auto-mechanic' ),
    'choices'  => array(
        'none'       => __( 'None', 'auto-mechanic' ),
        'capitalize' => __( 'Capitalize', 'auto-mechanic' ),
        'uppercase'  => __( 'Uppercase', 'auto-mechanic' ),
        'lowercase'  => __( 'Lowercase', 'auto-mechanic' ),
    ),
) );

// Add setting for menu font weight
$wp_customize->add_setting('auto_mechanic_menu_font_weight', array(
    'default'           => '500',
    'sanitize_callback' => 'sanitize_text_field',
));

// Add control for menu font weight
$wp_customize->add_control('auto_mechanic_menu_font_weight', array(
    'type'     => 'select',
    'section'  => 'auto_mechanic_header_options', 
    'label'    => __('Menu Font Weight', 'auto-mechanic'),
    'choices'  => array(
		'100' => __('100','auto-mechanic'),
		'200' => __('200','auto-mechanic'),
		'300' => __('300','auto-mechanic'),
		'400' => __('400','auto-mechanic'),
		'500' => __('500','auto-mechanic'),
		'600' => __('600','auto-mechanic'),
		'700' => __('700','auto-mechanic'),
		'800' => __('800','auto-mechanic'),
		'900' => __('900','auto-mechanic'),
    ),
));

// Menu Text Color 
$wp_customize->add_setting(
	'auto_mechanic_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'auto_mechanic_menu_text_color', 
		array(
			'label' => __('Menu Color', 'auto-mechanic'),
			'section' => 'auto_mechanic_header_options',
		)
	)
);

// Sub Menu Text Color 
$wp_customize->add_setting(
	'auto_mechanic_sub_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'auto_mechanic_sub_menu_text_color', 
		array(
			'label' => __('Sub Menu Color', 'auto-mechanic'),
			'section' => 'auto_mechanic_header_options',
		)
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------


$wp_customize->add_setting( 'auto_mechanic_site_title_size', array(
    'default'           => 40, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'auto_mechanic_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'auto-mechanic' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );



// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'auto_mechanic_enable_site_logo',
	array(
		'default'           => true, // Default is to display the logo.
		'sanitize_callback' => 'auto_mechanic_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control(
		$wp_customize,
		'auto_mechanic_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'auto-mechanic' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'auto_mechanic_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'auto_mechanic_enable_site_title_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'auto_mechanic_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control(
		$wp_customize,
		'auto_mechanic_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'auto-mechanic' ),
			'section'  => 'title_tagline',
			'settings' => 'auto_mechanic_enable_site_title_setting',
		)
	)
);

// Tagline - Enable Setting.
$wp_customize->add_setting(
	'auto_mechanic_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'auto_mechanic_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control(
		$wp_customize,
		'auto_mechanic_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'auto-mechanic' ),
			'section'  => 'title_tagline',
			'settings' => 'auto_mechanic_enable_tagline_setting',
		)
	)
);

$wp_customize->add_setting('auto_mechanic_site_logo_width', array(
    'default'           => 200,
    'sanitize_callback' => 'auto_mechanic_sanitize_range_value',
));

$wp_customize->add_control(new Auto_Mechanic_Customize_Range_Control($wp_customize, 'auto_mechanic_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'auto-mechanic'),
    'description' => __('This setting controls the Width of Site Logo', 'auto-mechanic'),
    'section'     => 'title_tagline',
    'settings'    => 'auto_mechanic_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));

// ---------------------------------------- ANIMATION ----------------------------------------------------

$wp_customize->add_setting( 'auto_mechanic_animation_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );
$wp_customize->add_control( new Auto_Mechanic_Separator_Custom_Control( $wp_customize, 'auto_mechanic_animation_separator', array(
	'label' => __( 'Enable / Disable Animation', 'auto-mechanic' ),
	'section' => 'auto_mechanic_general_options',
	'settings' => 'auto_mechanic_animation_separator',
) ) );
// Animation Enable / Disable
$wp_customize->add_setting('auto_mechanic_enable_animation',array(
		'default'           => true,
		'sanitize_callback' => 'auto_mechanic_sanitize_switch',
	)
);
$wp_customize->add_control(
	new Auto_Mechanic_Toggle_Switch_Custom_Control($wp_customize,'auto_mechanic_enable_animation',array(
			'label'   => esc_html__( 'Enable Animation', 'auto-mechanic' ),
			'section' => 'auto_mechanic_general_options',
		)
	)
);

// Topbar Padding Setting
$wp_customize->add_setting('auto_mechanic_topbar_padding',array(
		'default' => '',
		'sanitize_callback' => 'absint'
	)
);
$wp_customize->add_control('auto_mechanic_topbar_padding',array(
		'label' => __('Topbar Padding','auto-mechanic'),
		'section' => 'auto_mechanic_header_options',
		'type' => 'number',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1
		)
	)
);